const Path = require('path');

let isLib = (() => {
  let index = process.argv.findIndex(value => value === '--target');
  if (index > -1) {
    return process.argv[index + 1] && process.argv[index + 1] === 'lib';
  } else {
    return false;
  }
})();
console.log(process.env.NODE_ENV == 'development');

module.exports = {
  publicPath: process.env.VUE_APP_BASE_URL,
  outputDir: isLib ? Path.join('dist', 'lib') : 'dist',
  configureWebpack: {
    externals: [
      {
        vue: 'Vue',
        vuex: 'Vuex',
        'vue-router': 'VueRouter',
      },
    ],
  },
  chainWebpack: config => {
    config.plugin('html').tap(args => {
      if (process.env.NODE_ENV == 'development') {
        args[0].template = Path.join('public', 'develop.html');
      }
      return args;
    });
  },
};
